MKFS(8)

NAZWA
mkfs - buduje linuksowy system plików

SKŁADNIA

mkfs [opcje] [-t typ] [opcje-systemu-plików] urządzenie [rozmiar]

OPIS

Ten interfejs do mkfs jest przestarzały; należy korzystać z narzędzia mkfs odpowiedniego dla danego systemu plików: mkfs.<typ>

mkfs służy do budowania linuksowego systemu plików na zadanym urządzeniu, zwykle partycji dysku twardego. Argument urządzenie jest albo nazwą urządzenia (np. /dev/hda1, /dev/sdb2) lub zwykłym plikiem, który powinien zawierać system plików. Argument rozmiar jest liczbą bloków, jakie zostaną użyte do zadanego systemu plików.

mkfs zwraca status zakończenia równy 0 w przypadku powodzenia i 1 przy porażce.

W rzeczywistości mkfs jest po prostu interfejsem do różnych poleceń budujących systemy plików (mkfs.typ-systemu-plików) dostępnych w Linuksie. Polecenie budowania, odpowiednie dla danego typu systemu plikowego, wyszukiwane jest tylko w zmiennej środowiskowej PATH. Proszę przeglądnąć strony podręcznika właściwe dla poleceń budowania konkretnych systemów plików, aby dowiedzieć się więcej.

OPCJE

-t, --type typ
    Określa typ tworzonego systemu plików. Jeśli nie podano, używany jest domyślny (obecnie ext2).

opcje-systemu-plików
    Opcje specyficzne dla danego systemu plikowego, jakie mają zostać przekazane do faktycznego polecenia tworzenia systemu plików.

-V, --verbose
    Wyświetla w trybie szczegółowym, włącznie ze wszystkimi opcjami specyficznymi dla danego systemu plików, jakie są wykonywane. Podanie tej opcji więcej niż raz, zapobiega wykonywaniu jakichkolwiek poleceń specyficznych dla danego systemu plików. Jest to przydatne tylko do testowania.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi. (Opcja -V wyświetli informacje o wersji tylko gdy jest jedynym parametrem, w przeciwnym wypadku zachowa się jak --verbose).

USTERKI

Wszystkie opcje ogólne muszą poprzedzać, i nie mogą być łączone z, opcje specyficzne dla systemu plików. Niektóre z programów tworzących systemy plików nie rozpoznają automatycznie wielkości urządzania i wymagają podania parametru rozmiar.

AUTORZY

Niniejsza strona podręcznika została bezwstydnie zaadaptowana z wersji Remy’ego Carda do systemu plików ext2.

ZOBACZ TAKŻE

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie mkfs jest częścią pakietu util-linux, który można pobrać ze strony